Returns all activities of the task with the specified id.

GEThttps://api.awork.com/api/v1/tasks/{taskId}/activities
GET https://api.awork.com/api/v1/tasks/{taskId}/activities

The activities contain information about the type of the activity, which property was changed and by whom. This contains changes to first-level properties of the task, like name, description, status, etc., as well as several related entities, such as tags, assignments, etc. This does not include activities of sub-entities, like tasks of a project or comments on a task.

Authentication

AuthorizationBearer

Send your token in the Authorization: Bearer <token> header. See Authentication for API keys and OAuth.

Path parameters

taskIdstringRequired
format: uuid

The id of the task.

Query parameters

pageintegerOptional
Default: 1

Page number for pagination

pageSizeintegerOptional
Default: 10

Number of items per page

orderbystringOptional

The properties to order by

filterbystringOptional

The filter expression to filter by

Responses

200 OK

application/json

idstringOptional
format: uuid
originTypestring or nullOptional

Gets or sets whether the activity originated from a human or an agent.

threadIdstring or nullOptional
format: uuid

Gets or sets the originating agent thread.

threadAvailablebooleanOptional

Gets or sets whether the originating thread can still be opened.

agentIdstring or nullOptional
format: uuid

Gets or sets the agent that produced the activity.

agentNameSnapshotstring or nullOptional

Gets or sets the agent name captured when the run was accepted.

executingUserIdstring or nullOptional
format: uuid

Gets or sets the user whose permissions and ownership applied to the run.

triggeredByUserIdstring or nullOptional
format: uuid

Gets or sets the user who triggered the run when different from the executing user.

entityTypestring or nullOptional

The type of the entity

entityIdstringOptional
format: uuid
entityobjectOptional
Show 2 properties
idstringOptional
format: uuid

The identifier of the nested model.

namestring or nullOptional

The name of the entity.

createdBystringOptional
format: uuid
updatedBystringOptional
format: uuid
createdOnstringOptional
format: date-time
updatedOnstringOptional
format: date-time
eventTypestring or nullOptional

The type of the event of this activity log (e.g: added, updated, deleted)

eventDatestringOptional
format: date-time
changedPropertystring or nullOptional

The name of the property that has changed.

oldPropertyValuestring or nullOptional

The previous value of the updated property (as string).

newPropertyValuestring or nullOptional

The new value for the property (as string).

oldPropertyanyOptional

The old property value, if the property is a complex object. This is used to store the old value of the property when it is an object, like a user or a task.

newPropertyanyOptional

The new property value, if the property is a complex object. This is used to store the new value of the property when it is an object, like a user or a task.

userIdstring or nullOptional
format: uuid

The id of the user that performed the action that created this activity log entry.

userobjectOptional
Show 4 properties
idstringOptional
format: uuid

The identifier of the nested model.

firstNamestring or nullOptional

The first name of the user.

lastNamestring or nullOptional

The last name of the user.

hasImageboolean or nullOptional

Whether this user has a profile image.

parentIdstring or nullOptional
format: uuid
projectIdstring or nullOptional
format: uuid
projectobjectOptional
Show 4 properties
idstringOptional
format: uuid

The unique identifier of the entity.

namestring or nullOptional

The name of the entity.

projectTypeIconstring or nullOptional
projectCompanyProfileImageUrlstring or nullOptional
taskIdstring or nullOptional
format: uuid
taskobjectOptional
Show 2 properties
idstringOptional
format: uuid
namestring or nullOptional
assignedUserIdstring or nullOptional
format: uuid
assignedUserobjectOptional
Show 4 properties
idstringOptional
format: uuid

The identifier of the nested model.

firstNamestring or nullOptional

The first name of the user.

lastNamestring or nullOptional

The last name of the user.

hasImageboolean or nullOptional

Whether this user has a profile image.

unassignedUserIdstring or nullOptional
format: uuid
unassignedUserobjectOptional
Show 4 properties
idstringOptional
format: uuid

The identifier of the nested model.

firstNamestring or nullOptional

The first name of the user.

lastNamestring or nullOptional

The last name of the user.

hasImageboolean or nullOptional

Whether this user has a profile image.

dueDatestring or nullOptional
format: date-time
durationinteger or nullOptional
format: int32
memberIdstring or nullOptional
format: uuid
memberobjectOptional
Show 4 properties
idstringOptional
format: uuid

The identifier of the nested model.

firstNamestring or nullOptional

The first name of the user.

lastNamestring or nullOptional

The last name of the user.

hasImageboolean or nullOptional

Whether this user has a profile image.

400 Bad Request

application/json

codestringRequired
minLength: 1

The error code.

descriptionstringRequired
minLength: 1

The description of the error.

linkstringRequired
minLength: 1

The link to the API documentation page.

detailsarray of string or nullOptional

A list of details describing the error.

validationErrorsarray of object or nullOptional

If a validation error occurred, this contains the validation errors for each property.

Show 2 properties
propertystring or nullOptional

The name of the property that failed validation.

messagestring or nullOptional

The reason why this property failed validation.

traceIdstring or nullOptional

The request trace id for tracking the request.

401 Unauthorized

application/json

codestringRequired
minLength: 1

The error code.

descriptionstringRequired
minLength: 1

The description of the error.

linkstringRequired
minLength: 1

The link to the API documentation page.

detailsarray of string or nullOptional

A list of details describing the error.

validationErrorsarray of object or nullOptional

If a validation error occurred, this contains the validation errors for each property.

Show 2 properties
propertystring or nullOptional

The name of the property that failed validation.

messagestring or nullOptional

The reason why this property failed validation.

traceIdstring or nullOptional

The request trace id for tracking the request.

404 Not Found

application/json

codestringRequired
minLength: 1

The error code.

descriptionstringRequired
minLength: 1

The description of the error.

linkstringRequired
minLength: 1

The link to the API documentation page.

detailsarray of string or nullOptional

A list of details describing the error.

validationErrorsarray of object or nullOptional

If a validation error occurred, this contains the validation errors for each property.

Show 2 properties
propertystring or nullOptional

The name of the property that failed validation.

messagestring or nullOptional

The reason why this property failed validation.

traceIdstring or nullOptional

The request trace id for tracking the request.

Search documentation